@use "../sass/foundation/index" as *;
body{
  margin: 0 auto;
  background-color:$bg1-color;
}   
.l-headerContainer--flex{
  display: flex;
  justify-content: right;
}
.p-humburgerMenu{
  width: 60px;
  height: 45px;
  background-color:$bg-humburger-color;
  display: flex;
  justify-content: right ;
  position: fixed;
  top: 0;
}
.p-humburgerMenu__line{
  width: 40px;
  margin: 0 auto;
  height: 12px;
  position: relative;
  .p-humburgerMenu__line.p-humburgerMenu__line--top{
    position: absolute;
    top: 5px;
    width: 100%;
    background-color:$bg2-color;
    display: block;
    height: 2px;
    transition: 0.5s ease;
  }
  .p-humburgerMenu__line.p-humburgerMenu__line--middle{
    top:  20px;
    position: absolute;
    width: 100%;
    background-color:$bg2-color;
    display: block;
    height: 2px;
    transition: 0.5s ease;
  }
  .p-humburgerMenu__line.p-humburgerMenu__line--bottom{
    top: 35px;
    position: absolute;
    width: 100%;
    background-color:$bg2-color;
    display: block;
    height: 2px;
    transition: 0.5s ease;
  }
}
.p-humburgerMenu__box{
    display: block;
    transition: 0.3s ease;
    top: -357px;
    width: 1280px;
    height: 65px;
    position: fixed;
    background-color:$bg3-color;
    @media screen and ($isSp){
      width: 100%;
    }
  .p-humburgerNav__item{
    @media screen and ($isSp){
      font-size: 12px;
    }
  }
}
    // humburger-open
.p-humburgerMenu.open{
  @media screen and ($isSp){
    width: 38px;
    top: 6px;
  }
  .p-humburgerMenu__line{
    z-index: 999;
    }
    .p-humburgerMenu__line.p-humburgerMenu__line--top{
      transform: rotate(45deg);
      transition: 0.5s ease;
      top: 30px;
    }
    .p-humburgerMenu__line.p-humburgerMenu__line--middle{
      display: none;
    }
    .p-humburgerMenu__line.p-humburgerMenu__line--bottom{
      transform: rotate(-45deg);
      transition: 0.5s ease;
      top: 30px;
    }
}
.p-humburgerMenu__box.open{
  display: block;
  transition: 0.3s ease;
  top: 0;
    opacity: 1;
    width: 100%;
}  
.p-humburgerNav{
  .p-humburgerNav__list{
    display: flex;
    justify-content: center;
    min-height: 65px;
    align-items: center;
    .p-humburgerNav__item{
      a{
        text-decoration: none;
        color: white;
        margin-left:clamp(0.75rem, -1.536rem + 11.43vw, 8.75rem);
        font-size: clamp(0.625rem, 0.446rem + 0.89vw, 1.25rem);
      }
      .deleteMarginLeft{
        margin-left: 0;
      }
    }
  }
}
  
.p-topMainVisual{
  background-image: url(../img/other/main-visual.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  /* width: 100%; */
  width: 100%;
  height: 100vh;
  position: relative;
  z-index: -1;
  @media screen and ($isSp){
    background-size: cover;
  }
  .p-topMainVisual__logo{
    position: absolute;
    left: 53%;
    top: 42%;
    width:clamp(11.625rem, 9.911rem + 7.62vw, 15.625rem);
    transform: translate(-50%, -50%);
    @media screen and ($isSp){
      position: absolute;
    }
    @media screen and ($ispad){
      left: 55%;
      top: 40%;
      transform:translate(-40%, -40%);
    }
    .p-logoImg{
      width: 100%;
    }
  }
}
.l-about{
  position: relative;
  z-index: -1;
}  
.p-sectionTitle{
  text-align: center;
  padding:40px 0px 20px;
  font-weight: bold;
  font-size: 25px;
  @media screen and ($isSp){
    font-size: 18px;
  }
}
.p-senteceContainer{
  background-image: url($imgPath + "drink/coffeecup.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  width: 100%;
  min-height: 383px;
}
.p-sentences{
  display: flex;
  justify-content: center;
  padding-top: 75px;
  gap: 9px;
  @media screen and ($isSp){
    display: block;
    justify-content: stretch;
    padding-top: 55px;
  }
  .p-mainSentece{
    font-size:20px;
    width: 48%;
    color: mintcream;
    text-align: center;
    line-height:1.4;
    @media screen and ($isSp){
      font-size: 20px;
      width: 100%;
      color: mintcream;
      line-height:1.4;
    }
  }
  .p-fontSmallForPc{
    font-size: 19px;
    padding: 0 20px;
  }
}
  .p-subSentence{
    font-size: clamp(0.688rem, 0.616rem + 0.36vw, 0.938rem);
    line-height:2.8;
    color:$text-color;
    @media screen and ($isSp){
    font-size: 10px;
    text-align: center;
    padding-top: 7px;
    padding: 10px 20px;
    letter-spacing: 0.4px;
    }
  }

  .p-sectionTitle{
    text-align: center;
    padding:40px 0px 20px;
    font-weight: bold;
    font-size: 25px;
    @media screen and ($isSp){
      font-size: 18px;
    }
  }
.p-menuContainer{
  background-color: $bg2-color;
}
.p-menuInfo{
  display: flex;
  justify-content: center;
  font-size: 22px;
  padding-top: 50px;
  @media screen and ($isSp){
    display: block;
    font-size: 22px;
    padding: 10px 0;
    text-align: center;
    line-height:2.26;
    font-size: 17px;
  }
  .p-menuInfo__item{
    color:$text-color;
    padding-left: 20px;
    @media screen and ($isSp){
      padding-left: 0;
    }
  }
}
.p-menuWrapper{
    padding:50px 0;
    display: flex;
    justify-content: center;
  @media screen and ($ispad){
    display: block;
  }
  @media screen and ($isSp){
    flex-direction: column;
    padding: 0 ;
  }
}
.p-menuMovie{
  width: 39%; 
  padding-top: 100px;
  @media screen and ($ispad){
    width: 70%;
    margin: 0 auto;
    padding-top: 0;
  }
  @media screen and ($isSp){
    padding: 0 15px;
    width: 100%;
    padding-top: 0;
  }
  video{
    width: 100%;
  }
}
.p-menuContent{
  width: 56%;
  margin: 0 auto;
  color: $text-color;
  @media screen and ($ispad){
    width: 90%;
    margin: 0 auto;
  }
  @media screen and ($isSp){
    width: 100%;
  }
}
.p-menuContent--coffee{
  @include Menu-ITEM;
}
.p-menuContent--tea{
  @include Menu-ITEM;
}
.p-menuContent--snack{
  @include Menu-ITEM;
}


.l-info{
  .p-sectionTitle{
    text-align: center;
    padding: 40px 0px 20px;
    font-weight: bold;
    font-size: 25px;
    @media screen and ($isSp){
      font-size: 18px;
    }
  }
  .p-infoContainer{
    display: flex;
    justify-content: space-between;
    background-color: $bg3-color;
    padding:5.03125rem clamp(1rem, -9.343rem + 21.49vw, 10rem);
    @media screen and ($isSp){
      flex-direction: column-reverse;
      padding: 0;
      padding-bottom: 10px;
    }
  }
}
.p-infoTable{
  width: 75%;
  margin: 0 auto;
  line-height:2.8;
  @media screen and ($isSp){
    width: 50%;
  }
  .p-infoTableColumn{
    color: mintcream;
    font-size: 20px;
    min-width: 90px;
    @media screen and ($isSp){
      font-size: clamp(0.625rem, 0.39rem + 1.18vw, 1.125rem);
      text-decoration: none;
      color: mintcream;
    }
    &.p-infoTableColumn--paddingLeft{
      padding-left:15px;
      @media screen and ($isSp){
        padding-left: 0px;
        min-width: 230px;
      }
    }
  }
}

.p-googlemap{
  width: clamp(23.75rem, 7.948rem + 32.84vw, 37.5rem);
  @media screen and ($isSp){
    width: 80%;
    margin: 15px auto;
  }
  iframe{
    width:100%;
    height:100%;
    @media screen and ($isSp){
      width:100%;
      height: 100%;
      padding: 5px;
    }
  }
}

.l-footer{
  background-color: $bg3-color;
  border-top: 1px solid $text-color;
  .p-footerContainer{
    display: flex;
    justify-content: center;
    padding: 40px;
    align-items: center;
    @media screen and ($isSp){
      justify-content: center;
      align-items: center;
      padding: 15px;
    }
  } 
}
    .p-footerLogo{
      width: 281px;
      @media screen and ($isSp){
        width:150px ;
      }
      .footerImg{
        width: 100%;
      }
    }
.p-footerNav{
  .p-footerList{
    display: flex;
    padding-top: 17px;
    @media screen and ($isSp){
      padding-top: 0;
    }
    .p-footerList__Item{
      padding-left: 48px;
      @media screen and ($isSp){
        padding-left: 12px;
      }
      a{
        color: $text-color;
        text-decoration: none;
        font-size: 25px;
        @media screen and ($isSp){
          font-size: 12px;
        }
      }
    }
  }
}
.p-copyright{
  padding-bottom: 29px;
  text-align: center;
  color: $text-color;
  @media screen and ($isSp){
    padding-bottom: 10px;
    font-size: 11px;
  }
}
  // contentOpen(main)のsassの記述
.l-about#js_fadeInUp{
  transform: translateY(20%);
  opacity: 0;
  transition: 0.8s ease;
}
.l-about#js_fadeInUp.contentsOpen{
  transform: translateY(0);
  opacity: 1;
}

 // contentOpen(menu)のsassの記述
.l-menu#menu{
  opacity: 0;
  transition: 0.8s ease;
}
.l-menu#menu.fadeIn{

  opacity: 1;
  transition: 0.8s ease;
}